### File

`packages/ecl/components/ecl-table/ecl-table.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit`

### Metadata

Selector | `[eclTableCellGroup]`

### Index

###### Methods
getCssClasses
###### Inputs
eclTableCellGroup class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

eclTableCellGroup
Type : `string`
Sets the `data-ecl-table-header-group` attribute to link to a header group.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the group-specific cell class.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Applies the group-specific cell class. Returns : `string`

# results matching ""

# No results matching ""